src/Entity/Chambre.php
<?php

namespace App\Entity;

use App\Repository\ChambreRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=ChambreRepository::class)
 */
class Chambre
{
    /**
     * @ORM\Id()
     * @ORM\GeneratedValue()
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="integer")
     */
    private $number;

    /**
     * @ORM\Column(type="float")
     */
    private $prix;

    /**
     * @ORM\Column(type="integer")
     */
    private $nbr_lit;

    /**
     * @ORM\Column(type="integer")
     */
    private $nbr_pers;

    /**
     * @ORM\Column(type="smallint")
     */
    private $comfort;

    /**
     * @ORM\OneToMany(targetEntity=Reservation::class, mappedBy="id_chambre")
     */
    private $reservations;

    public function __construct()
    {
        $this->reservations = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getNumber(): ?int
    {
        return $this->number;
    }

    public function setNumber(int $number): self
    {
        $this->number = $number;

        return $this;
    }

    public function getPrix(): ?float
    {
        return $this->prix;
    }

    public function setPrix(float $prix): self
    {
        $this->prix = $prix;

        return $this;
    }

    public function getNbrLit(): ?int
    {
        return $this->nbr_lit;
    }

    public function setNbrLit(int $nbr_lit): self
    {
        $this->nbr_lit = $nbr_lit;

        return $this;
    }

    public function getNbrPers(): ?int
    {
        return $this->nbr_pers;
    }

    public function setNbrPers(int $nbr_pers): self
    {
        $this->nbr_pers = $nbr_pers;

        return $this;
    }

    public function getComfort(): ?int
    {
        return $this->comfort;
    }

    public function setComfort(int $comfort): self
    {
        $this->comfort = $comfort;

        return $this;
    }

    /**
     * @return Collection|Reservation[]
     */
    public function getReservations(): Collection
    {
        return $this->reservations;
    }

    public function addReservation(Reservation $reservation): self
    {
        if (!$this->reservations->contains($reservation)) {
            $this->reservations[] = $reservation;
            $reservation->setIdChambre($this);
        }

        return $this;
    }

    public function removeReservation(Reservation $reservation): self
    {
        if ($this->reservations->contains($reservation)) {
            $this->reservations->removeElement($reservation);
            // set the owning side to null (unless already changed)
            if ($reservation->getIdChambre() === $this) {
                $reservation->setIdChambre(null);
            }
        }

        return $this;
    }
    public function __toString()
    {
        return (string)$this->id;
    }
}

src/Form/ChambreType.php
<?php

namespace App\Form;

use App\Entity\Chambre;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class ChambreType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('number')
            ->add('prix')
            ->add('nbr_lit')
            ->add('nbr_pers')
            ->add('comfort')
        ;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => Chambre::class,
        ]);
    }
}

src/Controller/ChambreController.php
<?php

namespace App\Controller;

use App\Entity\Chambre;
use App\Form\ChambreType;
use App\Repository\ChambreRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;

/**
 * @Route("/chambre")
 */
class ChambreController extends AbstractController
{
    /**
     * @Route("/", name="chambre_index", methods={"GET"})
     */
    public function index(ChambreRepository $chambreRepository): Response
    {
        return $this->render('chambre/index.html.twig', [
            'chambres' => $chambreRepository->findAll(),
        ]);
    }

    /**
     * @Route("/new", name="chambre_new", methods={"GET","POST"})
     */
    public function new(Request $request): Response
    {
        $chambre = new Chambre();
        $form = $this->createForm(ChambreType::class, $chambre);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $entityManager = $this->getDoctrine()->getManager();
            $entityManager->persist($chambre);
            $entityManager->flush();

            return $this->redirectToRoute('chambre_index');
        }

        return $this->render('chambre/new.html.twig', [
            'chambre' => $chambre,
            'form' => $form->createView(),
        ]);
    }

    /**
     * @Route("/{id}", name="chambre_show", methods={"GET"})
     */
    public function show(Chambre $chambre): Response
    {
        return $this->render('chambre/show.html.twig', [
            'chambre' => $chambre,
        ]);
    }

    /**
     * @Route("/{id}/edit", name="chambre_edit", methods={"GET","POST"})
     */
    public function edit(Request $request, Chambre $chambre): Response
    {
        $form = $this->createForm(ChambreType::class, $chambre);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('chambre_index');
        }

        return $this->render('chambre/edit.html.twig', [
            'chambre' => $chambre,
            'form' => $form->createView(),
        ]);
    }

    /**
     * @Route("/{id}", name="chambre_delete", methods={"DELETE"})
     */
    public function delete(Request $request, Chambre $chambre): Response
    {
        if ($this->isCsrfTokenValid('delete'.$chambre->getId(), $request->request->get('_token'))) {
            $entityManager = $this->getDoctrine()->getManager();
            $entityManager->remove($chambre);
            $entityManager->flush();
        }

        return $this->redirectToRoute('chambre_index');
    }
}

templates/chambre/_delete_form.html.twig
<form  style="display: none!important;" method="post" action="{{ path('chambre_delete', {'id': chambre.id}) }}" onsubmit="return confirm('Are you sure you want to delete this item?');" id="form1">
    <input type="hidden" name="_method" value="DELETE">
    <input type="hidden" name="_token" value="{{ csrf_token('delete' ~ chambre.id) }}">
    <button class="btn btndelete-form">Delete</button>
</form>

templates/chambre/_form.html.twig
{{ form_start(form) }}
    {{ form_widget(form) }}
    <button class="btn">{{ button_label|default('Save') }}</button>
{{ form_end(form) }}

templates/chambre/edit.html.twig
{% extends 'base.html.twig' %}

{% block title %}Edit Chambre{% endblock %}

{% block content %}
    <div class="row d-flex justify-content-center">
    <div class="col-md-6 col-12 ">
        <div class="card" style="height: 392.688px;">

            <div class="card-content">
                <div class="card-body">
                    {{ form_start(form) }}
                    <div class="form-body">
                        <div class="row">
                            <div class="col-md-4">
                                {{ form_label(form.number, 'Numéro de chambre') }}
                            </div>
                            <div class="col-md-8 form-group ">
                                <div class="position-relative has-icon-left">
                                    {{ form_widget(form.number ,{ 'attr': {'class': 'form-control'} }) }}
                                    <div class="form-control-position">
                                        <i class="bx bx-pen"></i>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                {{ form_label(form.prix, 'Prix chambre') }}
                            </div>
                            <div class="col-md-8 form-group">
                                <div class="position-relative has-icon-left">
                                    {{ form_widget(form.prix ,{ 'attr': {'class': 'form-control'} }) }}
                                    <div class="form-control-position">
                                        <i class="bx bx-dollar"></i>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                {{ form_label(form.nbr_lit, 'Nombre de lit') }}
                            </div>
                            <div class="col-md-8 form-group">
                                <div class="position-relative has-icon-left">
                                    {{ form_widget(form.nbr_lit ,{ 'attr': {'class': 'form-control'} }) }}
                                    <div class="form-control-position">
                                        <i class="bx bx-bed"></i>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                {{ form_label(form.nbr_pers, 'Nombre de personne') }}
                            </div>
                            <div class="col-md-8 form-group">
                                <div class="position-relative has-icon-left">
                                    {{ form_widget(form.nbr_pers ,{ 'attr': {'class': 'form-control'} }) }}
                                    <div class="form-control-position">
                                        <i class="bx bx-user"></i>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-4">
                                {{ form_label(form.comfort, 'Comfort') }}
                            </div>
                            <div class="col-md-8 form-group">
                                <div class="position-relative has-icon-left">
                                    {{ form_widget(form.comfort ,{ 'attr': {'class': 'form-control'} }) }}
                                    <div class="form-control-position">
                                        <i class="bx bxs-smiley-happy"></i>
                                    </div>
                                </div>
                            </div>
                            <div class="col-12 d-flex justify-content-end ">
                                <button class="btn btn-primary" type="submit"> {{ button_label|default('Soumettre') }}</button>
                            </div>
                        </div>
                    </div>
                    {{ form_end(form) }}
                </div>
            </div>
        </div>
    </div>
    </div>
{% endblock %}

templates/chambre/index.html.twig
{% extends 'base.html.twig' %}

{% block title %}Chambre index{% endblock %}
{% block css %}
    <link rel="stylesheet" type="text/css" href="{{ asset('app-assets/vendors/css/vendors.min.css') }}">
    <link rel="stylesheet" type="text/css" href="{{ asset('app-assets/vendors/css/tables/datatable/datatables.min.css') }}">
{% endblock %}
{% block content %}
    <!-- Zero configuration table -->
    <section id="basic-datatable">
        <div class="row">
            <div class="col-12">
                <div class="card">

                    <div class="card-content">
                        <div class="card-body card-dashboard">
                            <div class="table-responsive">
                                <table class="table zero-configuration">
                                    <thead>
                                    <tr>
                                        <th>Nombre</th>
                                        <th>Prix</th>
                                        <th>Nombre de lit</th>
                                        <th>Nombre d'invité</th>
                                        <th>Comfort</th>
                                        <th>Réservation</th>
                                        <th>Actions</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    {% for chambre in chambres %}
                                    <tr>
                                        <td>{{ chambre.number }}</td>
                                        <td>{{ chambre.prix }}</td>
                                        <td>{{ chambre.nbrPers|length }}</td>
                                        <td>{{ chambre.nbrLit|length }}</td>
                                        <td>{{ chambre.comfort }}</td>
                                        <td>{{ chambre.reservations|length }}</td>
                                        <td >
                                            <a  data-toggle="modal" data-target="#border-less{{ chambre.id }}" class="btn btn-group-sm btn-icon btn-info "><i class="bx bxs-search"></i></a>
                                            <a  href="{{ path('chambre_edit', {'id': chambre.id}) }}" class="btn btn-icon btn-group-sm  btn-warning "><i class="bx bx-pen"></i></a>
                                            <a   href="#" onclick="document.getElementById('form1').submit();" class="btn btn-group-sm  btn-icon btn-danger "><i class="bx bx-trash"></i></a>
                                            {{ include('chambre/_delete_form.html.twig') }}
                                        </td>
                                    </tr>
                                        <div class="modal fade text-left modal-borderless" id="border-less{{ chambre.id }}" tabindex="-1" role="dialog" aria-labelledby="myModalLabel1" aria-hidden="true">
                                            <div class="modal-dialog modal-dialog-scrollable" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <h3 class="modal-title"><span class="badge badge-info">{{ chambre.id }}</span></h3>
                                                        <button type="button" class="close rounded-pill" data-dismiss="modal" aria-label="Close">
                                                            <i class="bx bx-x"></i>
                                                        </button>
                                                    </div>
                                                    <div class="modal-body">
                                                        <div class="col-xl-12 col-md-6 col-12 whether">
                                                            <div class="card">
                                                                <div class="card-header">
                                                                    <div>
                                                                        <h3 class="font-weight-normal mb-0">Nombre: {{ chambre.number }}</h3>
                                                                        <div class="text-muted">{{ chambre.prix }}<small>TND</small></div>
                                                                    </div>
                                                                    <div class="heading-elements">
                                                                        <i class="bx bx-rotate-right font-medium-4"></i>
                                                                    </div>
                                                                </div>
                                                                <div class="card-content">
                                                                    <div class="card-body">
                                                                        <div class="d-flex align-items-center justify-content-between">
                                                                            <div>
                                                                                <p class="mb-0"><span class="badge badge-{% if chambre.comfort==0 %}danger{% else %}success{% endif %}">{% if chambre.comfort==0 %}<DEL>comfort</DEL>{% else %}comfort{% endif %}</span></p>

                                                                            </div>
                                                                            <i class="bx bx-hotel font-large-2"></i>
                                                                        </div>
                                                                        <hr>
                                                                        <div class="d-flex align-items-center justify-content-around">
                                                                            <div class="d-flex flex-column align-items-center">
                                                                                <small class="text-muted">Lits</small>
                                                                                <i class="bx bx-bed text-bold-700 font-medium-2 my-50"></i>
                                                                                <small class="text-muted">{{ chambre.nbrLit }}</small>
                                                                            </div>
                                                                            <div class="d-flex flex-column align-items-center">
                                                                                <small class="text-muted">Invités</small>
                                                                                <i class="bx bx-user-circle font-medium-2 my-50"></i>
                                                                                <small class="text-muted">{{ chambre.nbrPers }}</small>
                                                                            </div>
                                                                            <div class="d-flex flex-column align-items-center">
                                                                                <small class="text-muted">Reservations</small>
                                                                                <i class="bx bx-bookmark font-medium-2 my-50"></i>
                                                                                <small class="text-muted">{{ chambre.reservations|length }}</small>
                                                                            </div>

                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-light-primary" data-dismiss="modal">
                                                            <i class="bx bx-x d-block d-sm-none"></i>
                                                            <span class="d-none d-sm-block">Close</span>
                                                        </button>
                                                        <button type="button" class="btn btn-primary ml-1" data-dismiss="modal">
                                                            <i class="bx bx-check d-block d-sm-none"></i>
                                                            <span class="d-none d-sm-block">Accept</span>
                                                        </button>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>

                                    {% endfor %}
                                    </tbody>
                                    <tfoot>
                                    <tr>
                                        <th>Nombre</th>
                                        <th>Prix</th>
                                        <th>Nombre de lit</th>
                                        <th>Nombre d'invité</th>
                                        <th>Comfort</th>
                                        <th>Réservation</th>
                                        <th>Actions</th>
                                    </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <!--/ Zero configuration table -->
{% endblock %}
{% block js  %}
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/datatables.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/dataTables.bootstrap4.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/dataTables.buttons.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/buttons.html5.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/buttons.print.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/buttons.bootstrap.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/pdfmake.min.js') }}"></script>
    <script src="{{ asset('app-assets/vendors/js/tables/datatable/vfs_fonts.js') }}"></script>
    <script>
        $('.zero-configuration').DataTable();
    </script>
{% endblock %}

templates/chambre/new.html.twig
{% extends 'base.html.twig' %}

{% block title %}New Chambre{% endblock %}

{% block content %}
    <div class="row d-flex justify-content-center">
        <div class="col-md-6 col-12 ">
            <div class="card" style="height: 392.688px;">

                <div class="card-content">
                    <div class="card-body">
                        {{ form_start(form) }}
                            <div class="form-body">
                                <div class="row">
                                    <div class="col-md-4">
                                        {{ form_label(form.number, 'Numéro de chambre') }}
                                    </div>
                                    <div class="col-md-8 form-group ">
                                        <div class="position-relative has-icon-left">
                                            {{ form_widget(form.number ,{ 'attr': {'class': 'form-control'} }) }}
                                            <div class="form-control-position">
                                                <i class="bx bx-pen"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        {{ form_label(form.prix, 'Prix chambre') }}
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <div class="position-relative has-icon-left">
                                            {{ form_widget(form.prix ,{ 'attr': {'class': 'form-control'} }) }}
                                            <div class="form-control-position">
                                                <i class="bx bx-dollar"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        {{ form_label(form.nbr_lit, 'Nombre de lit') }}
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <div class="position-relative has-icon-left">
                                            {{ form_widget(form.nbr_lit ,{ 'attr': {'class': 'form-control'} }) }}
                                            <div class="form-control-position">
                                                <i class="bx bx-bed"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        {{ form_label(form.nbr_pers, 'Nombre de personne') }}
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <div class="position-relative has-icon-left">
                                            {{ form_widget(form.nbr_pers ,{ 'attr': {'class': 'form-control'} }) }}
                                            <div class="form-control-position">
                                                <i class="bx bx-user"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        {{ form_label(form.comfort, 'Comfort') }}
                                    </div>
                                    <div class="col-md-8 form-group">
                                        <div class="position-relative has-icon-left">
                                            {{ form_widget(form.comfort ,{ 'attr': {'class': 'form-control'} }) }}
                                            <div class="form-control-position">
                                                <i class="bx bxs-smiley-happy"></i>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="col-12 d-flex justify-content-end ">
                                        <button class="btn btn-primary" type="submit"> {{ button_label|default('Soumettre') }}</button>
                                    </div>
                                </div>
                            </div>
                        {{ form_end(form) }}
                    </div>
                </div>
            </div>
        </div>
    </div>


{% endblock %}